use crate::models::parameters::CommandRequest;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct FindParams {
    pub token: String,
    pub query: String,
}

impl CommandRequest for FindParams {
    fn token(&self) -> String {
        self.token.clone()
    }
}
